#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang_evaluasi.info_tender'} ${paket?.pkt_nama}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lelang_evaluasi.home'}</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'lelang_evaluasi.info_tender'}/a></li>
    <li class="active">&{'lelang_evaluasi.evaluasi_ulang'}</li>
</ul>
<div class="content">
    <div class="bs-callout bs-callout-warning">
        <strong>&{'lelang_evaluasi.hal_mengubah_jadwal'}</strong>
        <ol>
            <!--
            <li>Harap mengisi penuh seluruh jadwal pada semua tahapan tender, jangan biarkan ada <strong>jadwal kosong</strong></li>
            <li>Tahap Upload dokumen penawaran dan Tahap Pembukaan, pastikan <strong>tidak sama</strong></li>
            -->
            <li>&{'lelang_evaluasi.alasan_perubahan'}</li>
            <li>&{'lelang_evaluasi.alasan_perubahan_maks'}.</li>
        </ol>
    #{certificateInfo lelang /}
    </div>
    #{alert /}
#{form @lelang.EvaluasiCtr.submit_ulang(lelang.lls_id)}
    <table class="table table-sm">
        <tr>
            <td width="5">No</td>
            <td>&{'lelang_evaluasi.tahap'}</td>
            <td width="150">&{'lelang_evaluasi.mulai'}</td>
            <td width="150">&{'lelang_evaluasi.selesai'}</td>
        </tr>
        #{list items:list, as:'jadwal'}
            <tr class="#{validate 'jadwal['+(jadwal_index-1)+']' /}">
                <td align="right">${jadwal.akt_urut} <input name="jadwalList[${jadwal_index-1}].akt_id"
                                                            value="${jadwal.akt_id}" type="hidden">
                    <input name="jadwalList[${jadwal_index-1}].dtj_id" value="${jadwal.dtj_id}" type="hidden">
                    <input name="jadwalList[${jadwal_index-1}].thp_id" value="${jadwal.thp_id}" type="hidden">
                    <input name="jadwalList[${jadwal_index-1}].akt_urut" value="${jadwal.akt_urut}" type="hidden">
                </td>
                <td>${jadwal.namaTahap(lelang.lelangV3)} <i class="badge  badge-info">${jadwal.getPeriodAsString()}</i>
                    <div class="invalid-feedback">#{error 'jadwal['+(jadwal_index-1)+']' /}</div></td>
                #{if editable && jadwal.akt_urut >= urutStart}
                    <td><div style="position: relative;">
                        <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" type="text" value="${jadwal.dtj_tglawal?.toDatetimepicker()}" initial="${jadwal.dtj_tglawal?.toDatetimepicker()}"
                                   class="form-control datetimepicker" id="awal${jadwal_index}"/>
                        </div>
                    </td>
                    <td><div style="position: relative;">
                        <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" type="text" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}"  initial="${jadwal.dtj_tglakhir?.toDatetimepicker()}"
                                   class="form-control datetimepicker" id="akhir${jadwal_index}"/>
                        </div>
                    </td>
                #{/if}
                #{else}
                    <td>${jadwal.dtj_tglawal?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglawal"
                                                                       value="${jadwal.dtj_tglawal?.toDatetimepicker()}"
                                                                       type="hidden"></td>
                    <td>${jadwal.dtj_tglakhir?.formatDateTime()} <input
                            name="jadwalList[${jadwal_index-1}].dtj_tglakhir"
                            value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" type="hidden"></td>
                #{/else}
            </tr>
        #{/list}
    </table>
    #{if editable}
        <input type="hidden" name="harus_berubah" value="true"/>
        <div class="form-group #{errorClass 'keterangan' /}">
            <label class="col-sm-2 control-label">&{'lelang_evaluasi.alasan_perubahan2'}<br/>&{'lelang_evaluasi.karakter_lebih'}</label>
            <div class="col-sm-10">
                <textarea name="keterangan" rows="3" cols="2" class="form-control #{validate 'keterangan' /}">${flash.keterangan}</textarea>
                <div class="invalid-feedback">#{error 'keterangan' /}</div>
            </div>
        </div>
        #{saveButton /}
    #{/if}
    #{backButton action:backUrl /}
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
#{/set}